package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.MallUploadFile;

/**
 * 资源文件Service接口
 * 
 * @author chang
 * @date 2021-11-25
 */
public interface IMallUploadFileService 
{
    /**
     * 查询资源文件
     * 
     * @param id 资源文件主键
     * @return 资源文件
     */
    public MallUploadFile selectMallUploadFileById(String id);

    /**
     * 查询资源文件列表
     * 
     * @param mallUploadFile 资源文件
     * @return 资源文件集合
     */
    public List<MallUploadFile> selectMallUploadFileList(MallUploadFile mallUploadFile);

    /**
     * 新增资源文件
     * 
     * @param mallUploadFile 资源文件
     * @return 结果
     */
    public int insertMallUploadFile(MallUploadFile mallUploadFile);

    /**
     * 修改资源文件
     * 
     * @param mallUploadFile 资源文件
     * @return 结果
     */
    public int updateMallUploadFile(MallUploadFile mallUploadFile);

    /**
     * 批量删除资源文件
     * 
     * @param ids 需要删除的资源文件主键集合
     * @return 结果
     */
    public int deleteMallUploadFileByIds(String[] ids);

    /**
     * 删除资源文件信息
     * 
     * @param id 资源文件主键
     * @return 结果
     */
    public int deleteMallUploadFileById(String id);
}
